Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.adaptor
Class StyleSheetSetter

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.adaptor.StyleSheetSetter

public class StyleSheetSetter
extends Behavior

Cascades style sheets for a document:

1. (Primordial settings in `multivalent.Context`)
2. User pan-document in user's `stylesheet/EVERYWHERE.css`
3. Genre from `/sys/stylesheet/genre.css`
4. User genre from `stylesheet/genre.css`
5. (Maybe have a user override, or genre override)

.

Caches style sheets and then makes a clone, but checks modified date to see if need to refresh, so developer/user and tweak and reload.

TO DO: Would like to allow different style sheet types than just CSS.

Version:
  $Revision: 1.5 $ $Date: 2002/12/12 09:18:14 $

Field Summary
`static java.lang.String` | `PREFIX`

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`StyleSheetSetter()`

Method Summary
`void` | `restore(ESISNode n, java.util.Map<java.lang.String,java.lang.Object> attr, Layer layer)` Read in name of style sheet type.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` On `Document.MSG_OPENED`, stuff set Document style sheet cascade.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restoreChildren, save, semanticEventAfter, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PREFIX

    public static final java.lang.String PREFIX

See Also:
  Constant Field Values

Constructor Detail

### StyleSheetSetter

    public StyleSheetSetter()

Method Detail

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  On `Document.MSG_OPENED`, stuff set Document style sheet cascade.

  Overrides:
    `semanticEventBefore` in class `Behavior`

### restore

    public void restore(ESISNode n,
                        java.util.Map<java.lang.String,java.lang.Object> attr,
                        Layer layer)

  Read in name of style sheet type.

  Overrides:
    `restore` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD